SubClient

Creates a SubClient resource.

Creates a SubClient resource.

POST/api/spa/sub-clients

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Request Body

application/ld+json
required

The new SubClient resource

{
  "id": 123,
  "externalId": "string",
  "description": "Example description",
  "settings": [
    "string"
  ],
  "color": "#083E5D",
  "client": {
    "id": 123,
    "identifier": "string",
    "settings": [
      "string"
    ],
    "subClients": [
      {
        "id": 123,
        "externalId": "string",
        "description": "Example description",
        "settings": [
          null
        ],
        "color": "#083E5D",
        "client": null,
        "createdBy": "user1@company.com",
        "updatedBy": "user1@company.com",
        "createdAt": "2024-08-23T00:00:00+00:00",
        "updatedAt": "2024-08-23T00:00:00+00:00",
        "defaultColor": "string",
        "subClient": "https://example.com/"
      }
    ],
    "subClientsModuleEnabled": true,
    "archiveModuleEnabled": true,
    "client": {
      "id": 123,
      "identifier": "string",
      "settings": [
        "string"
      ],
      "subClients": [
        {
          "id": null,
          "externalId": null,
          "description": null,
          "settings": null,
          "color": null,
          "client": null,
          "createdBy": null,
          "updatedBy": null,
          "createdAt": null,
          "updatedAt": null,
          "defaultColor": null,
          "subClient": null
        }
      ],
      "subClientsModuleEnabled": true,
      "archiveModuleEnabled": true,
      "client": {
        "id": 123,
        "identifier": "string",
        "settings": [
          null
        ],
        "subClients": [
          null
        ],
        "subClientsModuleEnabled": true,
        "archiveModuleEnabled": true,
        "client": {
          "id": null,
          "identifier": null,
          "settings": null,
          "subClients": null,
          "subClientsModuleEnabled": null,
          "archiveModuleEnabled": null,
          "client": null,
          "subClient": null
        },
        "subClient": "https://example.com/"
      },
      "subClient": "https://example.com/"
    },
    "subClient": "https://example.com/"
  },
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00",
  "defaultColor": "string",
  "subClient": "https://example.com/"
}
application/json
required

The new SubClient resource

{
  "id": 123,
  "externalId": "string",
  "description": "Example description",
  "settings": [
    "string"
  ],
  "color": "#083E5D",
  "client": {
    "id": 123,
    "identifier": "string",
    "settings": [
      "string"
    ],
    "subClients": [
      {
        "id": 123,
        "externalId": "string",
        "description": "Example description",
        "settings": [
          null
        ],
        "color": "#083E5D",
        "client": null,
        "createdBy": "user1@company.com",
        "updatedBy": "user1@company.com",
        "createdAt": "2024-08-23T00:00:00+00:00",
        "updatedAt": "2024-08-23T00:00:00+00:00",
        "defaultColor": "string",
        "subClient": "https://example.com/"
      }
    ],
    "subClientsModuleEnabled": true,
    "archiveModuleEnabled": true,
    "client": {
      "id": 123,
      "identifier": "string",
      "settings": [
        "string"
      ],
      "subClients": [
        {
          "id": null,
          "externalId": null,
          "description": null,
          "settings": null,
          "color": null,
          "client": null,
          "createdBy": null,
          "updatedBy": null,
          "createdAt": null,
          "updatedAt": null,
          "defaultColor": null,
          "subClient": null
        }
      ],
      "subClientsModuleEnabled": true,
      "archiveModuleEnabled": true,
      "client": {
        "id": 123,
        "identifier": "string",
        "settings": [
          null
        ],
        "subClients": [
          null
        ],
        "subClientsModuleEnabled": true,
        "archiveModuleEnabled": true,
        "client": {
          "id": null,
          "identifier": null,
          "settings": null,
          "subClients": null,
          "subClientsModuleEnabled": null,
          "archiveModuleEnabled": null,
          "client": null,
          "subClient": null
        },
        "subClient": "https://example.com/"
      },
      "subClient": "https://example.com/"
    },
    "subClient": "https://example.com/"
  },
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00",
  "defaultColor": "string",
  "subClient": "https://example.com/"
}

Response

201application/json

SubClient resource created

id
integer
externalId
string | null
description
string
settings
string | null[]
color
string

HTML color code to be used on Dashboard-charts and statistics.

Example: "#083E5D"

client
value | null
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

defaultColor
string
subClient
string<iri-reference> | null

Example: "https://example.com/"